Package org.eclipse.net4j.util.container

## Interface IContainer<E>

- All Superinterfaces:
    `INotifier`
  All Known Subinterfaces:
    `IContainer.Modifiable<E>`, `IContainer.Persistable<E>`, `IContainerBlockingQueue<E>`, `IContainerCollection<E>`, `IContainerList<E>`, `IContainerMap<K,​V>`, `IContainerQueue<E>`, `IContainerSet<E>`, `IContainerSortedSet<E>`, `IManagedContainer`, `IPluginContainer`, `IRegistry<K,​V>`
  All Known Implementing Classes:
    `AbstractDelegator`, `Container`, `ContainerBlockingQueue`, `ContainerCollection`, `ContainerList`, `ContainerMap`, `ContainerQueue`, `ContainerSet`, `ContainerSortedSet`, `DelegatingRegistry`, `HashMapDelegatingRegistry`, `HashMapRegistry`, `HashMapRegistry.AutoCommit`, `ManagedContainer`, `Registry`, `SetContainer`, `UnmodifiableRegistry`

      public interface IContainer<E>
      extends INotifier

  Contains a number of elements and notifies about element addition and removal.

  A container can fire the following events:

  - `IContainerEvent` after the addition and/or removal of elements.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `IContainer.Modifiable<E>` | A `container` with additional methods to add or remove elements.
    `static interface` | `IContainer.Persistable<E>` | A `container` with additional methods to add or remove elements.
    `static interface` | `IContainer.Persistence<E>` |

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `E[]` | `getElements()` |
    `boolean` | `isEmpty()` |

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### isEmpty

          boolean isEmpty()

    - #### getElements

          E[] getElements()